GET
List all touchpoints
Lists all active touchpoints across all scopes. Each touchpoint includes the scope it belongs to. Results are sorted by touchpoint name.
Non-admin callers only see touchpoints they are allowed to use. See also the List touchpoints for a scope API.
Path Params
-
enterpriseIdstring requiredYour Enterprise Id.
Query Params
-
pageintegerPage number (1-based) -
pageSizeintegerNumber of results per page
Responses
200
Paginated list of available Touchpoints across all scopes
Response Body
object
A paginated list of Touchpoints
-
touchpointsarray of objectstouchpoints object
-
idstring requiredId of the Touchpoint. A UUID. -
namestring enum requiredName of the Touchpoint.wallet.segregated.transferpolicies.management.edit -
labelstring requiredA label for the Touchpoint which can be shown to an end user. -
descriptionstring requiredA description for the Touchpoint which can be shown to an end user. -
statusstring enum requiredStatus of the Touchpoint. Indicates if the Touchpoint is usable
ACTIVEor notINACTIVE.ACTIVE- The Touchpoint is available for use.INACTIVE- The Touchpoint is NOT available for use.
ACTIVEINACTIVE -
adminOnlyboolean requiredtrue, if this is an internal Touchpoint, false otherwise. -
scopeIdstringId of the Scope this Touchpoint belongs to. A UUID. Each Touchpoint belongs to exactly one Scope. Only returned by the List all touchpoints API. -
scopeNamestringName of the Scope this Touchpoint belongs to. Only returned by the List all touchpoints API.
-
-
pageinteger requiredPage number. Page numbers start at 1. -
totalPagesinteger requiredTotal number of pages. Total pages start at 1. -
totalElementsinteger requiredTotal number of elements across all pages.
401
Unauthorized
Response Body
object
-
codestring -
messagestring -
statusinteger
403
Forbidden
Response Body
object
-
codestring -
messagestring -
statusinteger
404
The specified resource was not found
Response Body
object
-
codestring -
messagestring -
statusinteger
500
Server Error - Transient error please try again
Response Body
object
-
codestring -
messagestring -
statusinteger